CREATE TRIGGER "tub_filelist_2" BEFORE UPDATE OF "staatus"
ORDER 2 ON "dba"."filelist"
REFERENCING OLD AS old_name NEW AS new_name
FOR EACH ROW
BEGIN
  if new_name.staatus>0 then
    set new_name.saadetud=now();
  end if;
END